// Échange d'objets algébriques

#include <mmaple/mmaple.hpp>
#include <mmaple/maple_ops.hpp>
#include <mmaple/mmaple_numerix.hpp>
#include <mmaple/mmaple_algebramix.hpp>

using namespace mmx;
int main (int argc, char** argv) {
  maple_session mpl;
  
  format<rational> fm;
  matrix<rational> mat = hilbert_matrix (5, fm);

  maple_object jordan = maple_eval_statement (mpl, "LinearAlgebra:-JordanForm:");
  maple_object jmat = apply (jordan, mat);
  mmout << as_string (jmat) << "\n\n"
        << as<matrix<complex<double> > > (evalf (jmat)) << "\n";
}